> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Export transfer details

GET https://api-sandbox.payabli.com/api/Export/transferDetails/{format}/{entry}/{transferId}

<Warning>
  This endpoint is deprecated. To export this data, use [Get transfer details](/developers/api-reference/query/get-list-of-transfer-details) with the `exportFormat` query parameter instead.
</Warning>

Export a list of transfer details for an entrypoint. Use filters to limit results.

Reference: https://docs.payabli.com/developers/api-reference/export/export-list-of-transferdetails

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Export/transferDetails/{format}/{entry}/{transferId}:
    get:
      operationId: ExportTransferDetails
      summary: Export list of transfer details
      description: >-
        <Warning>
          This endpoint is deprecated. To export this data, use [Get transfer details](/developers/api-reference/query/get-list-of-transfer-details) with the `exportFormat` query parameter instead.
        </Warning>


        Export a list of transfer details for an entrypoint. Use filters to
        limit results.
      tags:
        - Export
      parameters:
        - name: entry
          in: path
          description: >-
            The paypoint's entrypoint identifier. [Learn
            more](/developers/api-reference/api-overview#entrypoint-vs-entry)
          required: true
          schema:
            type: string
        - name: format
          in: path
          description: Format for the export, either XLSX or CSV.
          required: true
          schema:
            $ref: '#/components/schemas/ExportFormat1'
        - name: transferId
          in: path
          description: Transfer identifier.
          required: true
          schema:
            type: integer
            format: int64
        - name: columnsExport
          in: query
          required: false
          schema:
            type: string
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            The number of records to return for the query. The maximum is 30,000
            records. When this parameter isn't sent, the API returns up to
            25,000 records.
          required: false
          schema:
            type: integer
            default: 25000
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query


            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>


            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            List of field names accepted:

              - `grossAmount` (gt, ge, lt, le, eq, ne)

              - `chargeBackAmount` (gt, ge, lt, le, eq, ne)

              - `returnedAmount` (gt, ge, lt, le, eq, ne)

              - `billingFeeAmount` (gt, ge, lt, le, eq, ne)

              - `thirdPartyPaidAmount` (gt, ge, lt, le, eq, ne)

              - `netFundedAmount` (gt, ge, lt, le, eq, ne)

              - `adjustmentAmount` (gt, ge, lt, le, eq, ne)

              - `transactionId` (eq, ne, in, nin)

              - `category` (eq, ne, ct, nct)

              - `type` (eq, ne, in, nin)

              - `method` (eq, ne, in, nin)
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/File'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat1:
      type: string
      enum:
        - csv
        - xlsx
      title: ExportFormat1
    File:
      type: object
      additionalProperties:
        description: Any type
      description: >-
        A file containing the response data, in the format specified in the
        request.
      title: File
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "key": "value"
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.export.exportTransferDetails("8cfec329267", "csv", 4521, {
        columnsExport: "BatchDate:Batch_Date,PaypointName:Legal_name",
        fromRecord: 251,
        limitRecord: 1000,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.export.export_transfer_details(
    entry="8cfec329267",
    format="csv",
    transfer_id=4521,
    columns_export="BatchDate:Batch_Date,PaypointName:Legal_name",
    from_record=251,
    limit_record=1000,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.export.requests.ExportTransferDetailsRequest;
import io.github.payabli.api.types.ExportFormat1;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.export().exportTransferDetails(
            ExportFormat1.CSV,
            "8cfec329267",
            4521L,
            ExportTransferDetailsRequest
                .builder()
                .columnsExport("BatchDate:Batch_Date,PaypointName:Legal_name")
                .fromRecord(251)
                .limitRecord(1000)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.export.export_transfer_details(
  entry: "8cfec329267",
  format: "csv",
  transfer_id: 4521,
  columns_export: "BatchDate:Batch_Date,PaypointName:Legal_name",
  from_record: 251,
  limit_record: 1000,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Export.ExportTransferDetailsAsync(
            ExportFormat1.Csv,
            "8cfec329267",
            4521L,
            new ExportTransferDetailsRequest {
                ColumnsExport = "BatchDate:Batch_Date,PaypointName:Legal_name",
                FromRecord = 251,
                LimitRecord = 1000,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ExportTransferDetailsRequest{
        ColumnsExport: payabli.String(
            "BatchDate:Batch_Date,PaypointName:Legal_name",
        ),
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            1000,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Export.ExportTransferDetails(
        context.TODO(),
        payabli.ExportFormat1Csv.Ptr(),
        "8cfec329267",
        int64(4521),
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Types\ExportFormat1;
use Payabli\Export\Requests\ExportTransferDetailsRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->export->exportTransferDetails(
    '8cfec329267',
    ExportFormat1::Csv->value,
    4521,
    new ExportTransferDetailsRequest([
        'columnsExport' => 'BatchDate:Batch_Date,PaypointName:Legal_name',
        'fromRecord' => 251,
        'limitRecord' => 1000,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Export/transferDetails/csv/8cfec329267/4521?columnsExport=BatchDate%3ABatch_Date%2CPaypointName%3ALegal_name&fromRecord=251&limitRecord=1000&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```